
Name:           libkexif
Version:        0.2.5
Release:        21%{?dist}

Summary:        Allow Kipi plugins to extract EXIF information

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://extragear.kde.org/apps/kipi
Source0:        http://downloads.sourceforge.net/kipi/libkexif-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch0:         libkexif-0.2.5-qcombobox.patch

BuildRequires:  gettext
BuildRequires:  kdelibs3-devel
BuildRequires:  libexif-devel >= 0.5.7

%description
This library allows Kipi plugins to extract EXIF information from JPEG files.


%package        devel
Summary:        Development files for %{name} 
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       kdelibs3-devel
Requires:       pkgconfig

%description    devel
%{summary}.
This package contains the files needed to build applications with libkexif
support.


%prep
%setup -q
%patch0 -p1 -b .qcombobox


%build
unset QTDIR && . %{_sysconfdir}/profile.d/qt.sh

%configure \
  --disable-rpath \
  --enable-new-ldflags \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking --enable-final

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

# unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/libkexif/


%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.5-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.5-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.5-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.5-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.5-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.5-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.2.5-15
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.5-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.5-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.5-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.5-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Oct 01 2008 Rex Dieter <rdieter@fedoraproject.org> 0.2.5-5
- fix build (#465007)

* Fri Feb 22 2008 Rex Dieter <rdieter@fedoraproject.org> 0.2.5-4 
- cleanup, fixup for rawhide (#433964)

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.2.5-3
- Autorebuild for GCC 4.3

* Sun Aug 26 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.2.5-2
- fix license tag

* Fri Dec 08 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.2.5-1
- version 0.2.5

* Thu Sep 14 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.2.4-3
- have the devel package require pkgconfig

* Wed Aug 30 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.2.4-2
- rebuild

* Sat Jul 01 2006 Aurelien Bompard <gauret[AT]free.fr> 0.2.4-1
- version 0.2.4

* Sat May 20 2006 Aurelien Bompard <gauret[AT]free.fr> 0.2.3-1
- version 0.2.3

* Tue Feb 21 2006 Aurelien Bompard <gauret[AT]free.fr> 0.2.2-4
- rebuild for fc5

* Sat Oct 22 2005 Aurelien Bompard <gauret[AT]free.fr> 0.2.2-3
- remove *.la files

* Thu Oct 06 2005 Aurelien Bompard <gauret[AT]free.fr> 0.2.2-2
- fix QT declaration

* Thu Oct 06 2005 Aurelien Bompard <gauret[AT]free.fr> 0.2.2-1
- version 0.2.2

* Mon Aug 01 2005 Aurelien Bompard <gauret[AT]free.fr> 0.2.1-4
- add patch for forward declaration of QComboBox (see bug #162964)

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Mon Jan 24 2005 Aurelien Bompard <gauret[AT]free.fr> 0:0.2.1-1
- version 0.2.1
- update URL tag

* Wed Jan 05 2005 Aurelien Bompard <gauret[AT]free.fr> 0:0.1-0.fdr.2
- Licence is GPL not LGPL
- Fix -devel description and requirements
- Switch group to "System Environment/Libraries"

* Mon Oct 25 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.1-0.fdr.1
- Initial RPM release.
